@include media-breakpoint-up(sm) {
	h1, .h1{
		font-size: $font-size-enormous;
	}
	h2, .h2{
		font-size: $font-size-semienormous;
	}
}

html, body, body>#page {
    height: 100%;
}

body {
    #page {
        display: flex;
        flex-direction: column;
    }
}

a {
    font-weight: 600;
}

html .btn {
    border-radius: 0;
    border: 0;
    font-weight: 400;

    &.btn-yellow {
        background-color: $brand-primary;
        color: $black;
    }
    &.btn-blue {
        background-color: $brand-success;
        color: $white;
    }
    &.btn-orange {
        background-color: $brand-warning;
        color: $white;
    }

    &.btn-big {
        font-size: 24px;
        font-weight: 800;
        padding: 2rem;
    }

    filter: brightness(1);
    transition: filter 0.25s;
    &:hover {
        filter: brightness(0.8);
    }
}

// .entry-content p,
// .entry-content ul,
// .entry-content ol {
//   max-width: 755px;
// }

body.page-template-fullwidthpage {
    .site-main {
        max-width: 755px;
        margin: 0 auto;

        .container-fluid {
            position: relative;
            width: 90vw;
            left: calc(-45vw + 50%);

            .row {
                display: flex;
                flex-direction: row;
                justify-content: center;
            }
        }
    }
}

iframe {
    border: 0;
}

.fp-hero h1{
	color:$brand-warning;
}

.fp-hero h2{
	color:$brand-primary;
}

 #wrapper-footer, .fp-hero, .fp-collaborate-label, .fp-contact-row, .navbar{
	@extend .scheme-blue;
}

nav.navbar{
	padding-left:3rem !important;
    min-height: 6vh;
}

.fc-tickets{
	@extend .scheme-blue;

	display: flex;
	flex-direction:column;

	.price{
		font-weight:800;
	}
	.add_to_cart{
		display:table;
		margin-top:10px;
		background-color:$brand-warning;
		padding: 20px;
	}
	.cart_form{
		margin-top: auto;
		& + p{
			display:none;
		}
	}
}

.shortcode-container{
	margin-top: auto;
}

@include media-breakpoint-up(sm) {
	body:not(.home) .content-area, .text-widget .fp-hero {
	    padding: 3rem;
	}
}

.widget-area, .dropdown-menu{
	@extend .scheme-orange;
}

#page-wrapper, #full-width-page-wrapper {
	padding: 0;
    flex: 1 0 auto;
    display: flex;

    #content {
        flex-grow: 1;
        .row {
            height: 100%;
        }
    }
}

.widget-area{
	padding-top:30px;
}

h2.widgettitle {
    padding: 1rem 3rem 1rem;
    margin-bottom:0;
}

// Use widget plugin to add ID to right col #right-content-col
div#right-content-col {
    display: flex;
    flex-direction: column;
}

#right-content-col .textwidget.custom-html-widget {
    height: 100%;
    display: flex;
}

// here specifically for the right div on the front page, but likely useful in other places
.textwidget>div {
    width: 100%;
}

// fixes layout issue (divs extending past window) on homepage
#custom_html-2 .row {
    margin-left: 0;
    margin-right: 0;
}

.col-md.fp-collaborate-label{
	text-align:center;
}

.fp-collaborate-label.h4, .fp-collaborate-row.h3{
	margin-bottom: 0;
}

.fp-collaborate-row .collaborator:nth-child(even){
	background-color:$brand-warning;
	color:$gray-brand;;
}

.fp-collaborate-row .collaborator:nth-child(odd){
	background-color:$brand-primary;
	color:$gray-brand;;
}

.fp-presenters-label.h4, .fp-trackslist.h4 {
	margin-bottom: 0;
}

.fp-content-row .col-md {
    padding-right: 0;
    padding-left: 0;
}

.indicates-required{
	font-size: $font-size-small;
}

// FOOTER
#wrapper-footer {
    flex-shrink: 0;
}
#wrapper-fc-footer-widgets .widget_text {
    padding-left: 0;
}

// for the footer menu buttons add .btn and .big-btn through the WP menu
.fc-footer-menu{
    width:100%;
    background-color:$pastel-blue;
}
.fc-footer-menu ul {
    padding:0;
    list-style: none;
    display:flex;
    justify-content:space-evenly;
    margin-bottom:0;
}

// SIDEBAR
#right-sidebar{
    padding: 0;
	text-align:center;
    max-height: 100vh;
    flex-grow: 1;
    position: sticky;
    top: 0;
    display: flex;
    flex-direction: column;

    aside {
        flex: 1 0 auto;
        display: flex;
        // flex-direction: row;
        justify-content: center;
        align-items: center;

        @include media-breakpoint-down(sm) {
            padding: 5vh 0;
        }

        // this could be made better by assigning a "contains-button" or s/t class
        &#buy-tickets-sidebar, &#volunteer-sidebar {
            &>div {
                width: 100%;
                a {
                    width: 60%;
                    padding: 2vh 0;
                }
            }
        }
    }
}

.sidebar-right-info{
	background-color:$pastel-blue;
	text-align: center;
	&.h2{
		color:$black;
	}
}

aside.tc_cart_widget{
	display:flex;
	flex-direction:column;
	li{
		list-style: none;
	}
	.tc_empty_cart{
		display:none;
	}
}

.widget-area button.tc_widget_cart_button {
    float: none;
    @extend .btn, .btn-blue;
    margin:0 auto;
    padding:10px;
    border: 0;
}

.widget-area .tc_cart_widget h3.widget-title {
    @extend .h2;
    color:$white;
}

.widget-area .mailchimp-form h4{
	color:$white;
}

span.tc_in_cart a {
    padding: 5px;
    background-color: $brand-warning;
    border-radius: 5px;
    color: $black;
}

.sidebar-social-widget a i{
	color:$white;
}

// USE FONTAWESEOME WITHOUT THE i tag
.icon::before {
    display: inline-block;
    margin-right: .5em;
    font: normal normal normal 14px/1 FontAwesome;
    font-size: inherit;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    transform: translate(0, 0);
}

.tc_cart_widget.icon::before{
	font-size: 64px;
    margin-right: 0;
    margin-left: 2rem;
}

.tc_events-template-default .entry-meta{
	display:none;
}

a.add_to_cart{
	// background-color:$brand-warning;
	// padding: 20px 30px;

    @extend .btn;
    padding: 1.5rem 2rem;
}

.cart_form{
	display:flex;
	justify-content:space-between;
	align-items:baseline;
	@include media-breakpoint-down(sm) {
		flex-direction: column;
	}
}

.cart_form .price{
	@extend .h3;
}

.tc_quantity_selector{
	display:none;
}

.collaborator{
	display:flex;
	align-items:center;
	img{
		max-height:161px;
	}
	a{
		margin: 0 auto;
	}
}

#navbarNavDropdown{
	flex-direction:column;
	align-items: flex-end;
	padding-right: 3rem;
}

.tc_events.type-tc_events .entry-meta{
	display:none;
}

span.tc_in_cart a{
    @extend .btn;
    padding: 1rem 1.5rem;
}

body .tickera input[type="submit"] {
    @extend .btn;
    &:hover {
        filter: unset !important;
    }
}

.tickera-input-field.buyer-field-text,
.tickera-input-field.owner-field-text {
	@extend .form-control;
}

.fields-wrap {
	@extend .form-group;
}

.tickera-checkout tr,
.tickera_buyer_info {
  border-color: #5149DD;
}

// Try to make the registration form look more presentable.
.owner-info-wrap, .tickera_buyer_info, .tickera_additional_info, .tickera_owner_info.info_section{
	display:flex;
	flex-wrap:wrap;
	justify-content:flex-start;
}


/*****************************
*                            *
* OW THIS IS SUCH A BAD HACK *
*                            *
*****************************/
// makes the email field be inline with the cell phone field
.owner-info-wrap div:nth-of-type(4) {
    flex-basis: 40% !important;
}

.fields-wrap.tc_field_col_3.tc_text_field, .fields-wrap.tc_field_col_2.tc_text_field {
    margin-right: 0;
}

.tickera_buyer_info,
.tickera_owner_info {
	h3, h5{
		flex-basis:100%;
	}
}

.tickera_buyer_info {
	.fields-wrap {
		flex-basis: 30%;
		margin-bottom: 0;
	}
	.fields-wrap.tc_field_col_1 {
		flex-basis: 80%;
	}
	@include media-breakpoint-down(sm) {
		.fields-wrap,
		.fields-wrap.tc_field_col_1,
		.fields-wrap.tc_field_col_2,
		.fields-wrap.tc_field_col_3 {
			flex-basis: 100%;
		}
	}
}

.tickera_owner_info  {
	.fields-wrap { flex-basis: 40%; }
	.fields-wrap:not(.tc_field_col_last_child) { margin-right: 2em; }
	.fields-wrap.tc_field_col_1 { flex-basis: 80%; }
	.fields-wrap.tc_field_col_2 { flex-basis: 40%; }
	.fields-wrap.tc_field_col_3 { flex-basis: 30%; }
	@include media-breakpoint-down(sm) {
		.fields-wrap,
		.fields-wrap:not(.tc_field_col_last_child),
		.fields-wrap.tc_field_col_1,
		.fields-wrap.tc_field_col_2,
		.fields-wrap.tc_field_col_3 {
			flex-basis: 100%;
			margin-right: 0;
		}
		.fields-wrap .description {
			float:none;
			margin-bottom: 0;
		}
	}
}

input.tickera_button.plus, input.tickera_button.minus {
	@extend .btn;
	font-size:26px;
    line-height:0;
}

input.tickera_button.plus{
	margin-right:auto;
}

input.tickera_button.minus{
	margin-left:auto;
}

// container for the plus minus buttons on the ticket quantity to align them nice
td.ticket-quantity.ticket_quantity{
	display:flex;
}

.tickera_buyer_info.info_section {
	display:flex;
	flex-wrap:wrap;
	justify-content:space-between;
}

.tickera_buyer_info.info_section h3{
	flex-basis:100%;
}

// this is the opt in at the top of the buyer info section
.tickera_buyer_info .tc_checkbox_field > span{
	font-size:$font-size-small;
}

input.buyer-field-text.tickera-input-field {
    width: 100%;
}

input.owner-field-text.tickera-input-field.tc-owner-field {
    width: 100%;
}

// start callout specific specific styles here

.fp-callout{
	border: medium solid $brand-warning;
	transition: all .5s;
    width: 100%;
}

.fp-callout:hover{
	border: medium solid $white;
}

.fp-callout a:hover{
	text-decoration:none;
}

p.fp-callout-1, p.fp-callout-2, p.fp-callout-3 {
    color: $black;
}

h4.fp-callout-1 {
	color:$brand-success;
    margin-bottom: 0;
}

h3.fp-callout-3, h4.fp-callout-2{
	color:$white;
}

p.fp-callout-4 {
    color: $brand-success;
}

h2.fp-callout-1, h2.fp-callout-2 {
    color: $gray-brand-dark;
    margin-bottom: 0;
}

// MESSING WITH THE IMPORTED SCHEDULE STYLES
div#sched-content-inner h3 {
    color: $gray-brand-dark;
}

#speaker-widget{
	padding-top:40px;
}

.fp-agenda{
	height: 100vh;
	overflow:scroll;
}

@include media-breakpoint-down(sm) {
	.tc_cart_ul{
		-webkit-padding-start: 0px;
	}

	aside.tc_cart_widget{
		flex-direction:columns;
	}

	.tc_cart_widget.icon::before{
	    margin-left: 0;
	}
}

@include media-breakpoint-down(sm) {
	.navbar-nav .nav-link {
        padding-left: 1rem;
    }

    .fc-footer-menu li{
		width: 100%;
		margin-bottom: 10px;
		&:last-child{
			margin-bottom: 0;
		}
	}
	.fp-hero h1{
		font-size:$font-size-semienormous ;
	}
	.fp-hero h2{
		font-size: $font-size-large;
	}
	.fp-collaborate-row, .fp-collaborate-label, .fp-hero{
        width: 100vw;
	}

	.tickera_buyer_info .fields-wrap, .tickera_owner_info .fields-wrap {
		width:100%;
	}
}

.ticket-container{
	height: 100%;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}
